> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Contacts

> Search contacts based on combinations of advanced filters. See: https://help.hoopai.com/api-reference/overview/contacts-search



## OpenAPI

````yaml /api-reference/contacts/openapi.json post /contacts/search
openapi: 3.0.0
info:
  title: Contacts API
  description: Documentation for Contacts API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Contacts
    description: Documentation for Contacts API
  - name: Tasks
    description: Documentation for Contacts API
  - name: Appointments
    description: Documentation for Contacts API
  - name: Tags
    description: Documentation for Contacts API
  - name: Notes
    description: Documentation for Contacts API
  - name: Campaigns
    description: Documentation for Contacts API
  - name: Workflow
    description: Documentation for Contacts API
  - name: Bulk
    description: Documentation for Contacts API
  - name: Search
    description: Documentation for Contacts API
  - name: Followers
    description: Documentation for Contacts API
paths:
  /contacts/search:
    post:
      tags:
        - Search
      summary: Search Contacts
      description: >-
        Search contacts based on combinations of advanced filters. See:
        https://help.hoopai.com/api-reference/overview/contacts-search
      operationId: search-contacts-advanced
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SearchBodyV2DTO'
      responses:
        '200':
          description: Success
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - bearer:
            - contacts.readonly
      externalDocs:
        url: https://help.hoopai.com/api-reference/overview/contacts-search
        description: Click here for more information
components:
  schemas:
    SearchBodyV2DTO:
      type: object
      properties: {}
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````